Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues
Class EnumerationType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.EnumerationType

All Implemented Interfaces:
  IDefaultValue, IMetaDataEnabledFeature, ITypeDescriptor, IValidELValues, IValidValues

Direct Known Subclasses:
  BooleanType, NumberType, StringType

public abstract class EnumerationType
extends AbstractRootTypeDescriptor
implements IValidValues, IDefaultValue, IValidELValues

Abstract meta-data processing type representing an enumeration attribute value runtime type

Field Summary
`protected static java.util.List` | `EMPTY_LIST`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features.IValidValues
`VALID_VALUES_CODE_PROP_NAME, VALID_VALUES_MAX_PROP_NAME, VALID_VALUES_MESSAGE_PROP_NAME, VALID_VALUES_MIN_PROP_NAME, VALID_VALUES_PROP_NAME, VALID_VALUES_SEVERITY_PROP_NAME`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features.IDefaultValue
`DEFAULT_VALUE_PROP_NAME`

Constructor Summary
`EnumerationType()`

Method Summary
`protected void` | `addNewValidationMessage(java.lang.String defaultMsg)`
`protected int` | `getAssignmentType()`
`protected java.util.List` | `getCMPossibleValues()`
`protected java.util.List` | `getCMPossibleValuesForDisplay()`
`protected java.lang.String` | `getCMValidationCode()`
`protected java.lang.String` | `getCMValidationMessage()`
`protected int` | `getCMValidationSeverity()`
`protected java.util.List` | `getCMValidValues()`
`java.lang.String` | `getDefaultValue()`
`org.eclipse.jst.jsf.core.internal.types.CompositeType` | `getExpectedRuntimeType()`
`protected abstract java.lang.String` | `getReturnType()`
`java.util.List` | `getValidationMessages()`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractRootTypeDescriptor
`findMetaDataEnabledFeaturesForThisType, getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractMetaDataEnabledFeature
`getBundleID, getCMAnnotationContext, getCMAttributePropertyValue, getCMAttributePropertyValues, getCMSmallIcon, getImage, getStructuredDocumentContext, setBundleID, setContentModelContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features.IValidValues
`isValidValue`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.IMetaDataEnabledFeature
`getBundleID, getCMAnnotationContext, getStructuredDocumentContext, setBundleID, setContentModelContext, setStructuredDocumentContext`

Field Detail

### EMPTY_LIST

    protected static java.util.List EMPTY_LIST

Constructor Detail

### EnumerationType

    public EnumerationType()

Method Detail

### getValidationMessages

    public java.util.List getValidationMessages()

  Specified by:
    `getValidationMessages` in interface `IValidValues`
  Returns:
    List of IValidationMessage objects if invalid Must return empty list rather than null Call to isValidValue(String value) required before this should be called.

### getDefaultValue

    public java.lang.String getDefaultValue()

  Specified by:
    `getDefaultValue` in interface `IDefaultValue`
  Returns:
    default value or null if one not defined

### getCMPossibleValues

    protected java.util.List getCMPossibleValues()

### getCMPossibleValuesForDisplay

    protected java.util.List getCMPossibleValuesForDisplay()

### getCMValidValues

    protected java.util.List getCMValidValues()

### getCMValidationMessage

    protected java.lang.String getCMValidationMessage()

### getCMValidationSeverity

    protected int getCMValidationSeverity()

### getCMValidationCode

    protected java.lang.String getCMValidationCode()

### addNewValidationMessage

    protected void addNewValidationMessage(java.lang.String defaultMsg)

### getReturnType

    protected abstract java.lang.String getReturnType()

  Returns:
    return Java type as string (i.e. boolean, java.lang.String, etc.) Must not be null.

### getAssignmentType

    protected int getAssignmentType()

### getExpectedRuntimeType

    public org.eclipse.jst.jsf.core.internal.types.CompositeType getExpectedRuntimeType()
                                                                                 throws ELIsNotValidException

  Specified by:
    `getExpectedRuntimeType` in interface `IValidELValues`
  Throws:
    `ELIsNotValidException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD